Bug 121122 - *.pyc files are not deleted at uninstalling
*.pyc files are not deleted at uninstalling
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2004-04-17 11:58 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-19 14:05:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-04-17 11:58:29 EDT
Description of problem:
At uninstalling the rpm the *.pyc files are not deleted at 

Version-Release number of selected component (if applicable):

How reproducible & Steps to Reproduce:
Every time and more is described above.

Actual results:
The following in the spec file solves it:

--- snipp ---
if [ -d %{_datadir}/%{name} ] ; then
  rm -rf %{_datadir}/%{name}/*.pyc
--- snapp ---

Expected results:
That *.pyc files are deleted
Comment 1 Brent Fox 2004-04-19 14:05:25 EDT
Will be fixed in system-config-users-1.2.12-2 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.